Bug 176411 - dropping wrong filetypes from smb freezes application
dropping wrong filetypes from smb freezes application
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: bmp (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ralf Ertzinger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-22 07:04 EST by Thilo Pfennig
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-18 12:24:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thilo Pfennig 2005-12-22 07:04:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Epiphany/1.6.5

Description of problem:
If you have a folder in a samba environment and you drop a bunch of MP3 files including one JPEG or something other than audio data bmp will freeze.

Version-Release number of selected component (if applicable):
bmp-0.9.7-10.fc4

How reproducible:
Always

Steps to Reproduce:
1. open bmp with playlist window
2. open a samba folder with MP3 and one jpeg in it
3. select all and drop into playlist window 

  

Actual Results:  bmp freezes

Expected Results:  bmp should filter out jpeg and all filetypes it dows not understand.

Additional info:
Comment 1 Ralf Ertzinger 2005-12-22 20:52:46 EST
I have just requested a build of 0.9.7.1 for FC4. If this has gotten through the
build system, could you give it a spin and see if the problem persists?

Thanks.
Comment 2 Thilo Pfennig 2005-12-26 09:06:49 EST
That does not help. It deleted the setting of my theme. If I start BMP from
command like it gives me this output:

*** glibc detected *** beep-media-player: double free or corruption (!prev):
0x089b95b0 ***

Comment 3 Thilo Pfennig 2005-12-26 09:13:28 EST
more backtrace:
(gdb) thread apply all bt

Thread 4 (Thread 8838064 (LWP 15044)):
#0  0x00cb7402 in __kernel_vsyscall ()
#1  0x00aa8a5c in poll () from /lib/libc.so.6
#2  0x00c30328 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#3  0x00c307c3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#4  0x001583de in link_thread_io_context () from /usr/lib/libORBit-2.so.0
#5  0x00c48ffa in g_static_private_free () from /usr/lib/libglib-2.0.so.0
#6  0x00943b80 in start_thread () from /lib/libpthread.so.0
#7  0x00ab29ce in clone () from /lib/libc.so.6

Thread 3 (Thread 95509424 (LWP 15030)):
#0  0x00cb7402 in __kernel_vsyscall ()
#1  0x009457a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x0013d495 in giop_recv_buffer_get () from /usr/lib/libORBit-2.so.0
#3  0x00140a55 in ORBit_small_invoke_stub () from /usr/lib/libORBit-2.so.0
#4  0x00140c26 in ORBit_small_invoke_stub_n () from /usr/lib/libORBit-2.so.0
#5  0x001514e9 in ORBit_c_stub_invoke () from /usr/lib/libORBit-2.so.0
#6  0x002efac9 in GNOME_VFS_DaemonHandle_Read ()
   from /usr/lib/libgnomevfs-2.so.0
#7  0x002fb274 in gnome_vfs_daemon_convert_to_corba_file_info ()
   from /usr/lib/libgnomevfs-2.so.0
#8  0x003018b9 in _gnome_vfs_handle_do_read () from /usr/lib/libgnomevfs-2.so.0
#9  0x002f7240 in gnome_vfs_read_cancellable ()
   from /usr/lib/libgnomevfs-2.so.0
#10 0x0030fa2a in gnome_vfs_read () from /usr/lib/libgnomevfs-2.so.0
#11 0x002099da in vfs_fread () from /usr/lib/libbeep.so.2
#12 0x0035f2c7 in get_iplugin_info () from /usr/lib/bmp/Input/libmpg123.so
#13 0x08061cf3 in input_get_song_info ()
#14 0x0806b54c in playlist_get_songtime ()
#15 0x00c48ffa in g_static_private_free () from /usr/lib/libglib-2.0.so.0
#16 0x00943b80 in start_thread () from /lib/libpthread.so.0
#17 0x00ab29ce in clone () from /lib/libc.so.6

Thread 2 (Thread -1210856528 (LWP 15028)):
#0  0x00cb7402 in __kernel_vsyscall ()
#1  0x00aab221 in ___newselect_nocancel () from /lib/libc.so.6
#2  0x0806c2b6 in ctrlsocket_check ()
#3  0x00c48ffa in g_static_private_free () from /usr/lib/libglib-2.0.so.0
#4  0x00943b80 in start_thread () from /lib/libpthread.so.0
#5  0x00ab29ce in clone () from /lib/libc.so.6

Thread 1 (Thread -1208333856 (LWP 15025)):
#0  0x00cb7402 in __kernel_vsyscall ()
#1  0x00abe9fe in __lll_mutex_lock_wait () from /lib/libc.so.6
#2  0x00a4fb58 in _L_mutex_lock_3936 () from /lib/libc.so.6
#3  0x00b0cff4 in ?? () from /lib/libc.so.6
#4  0x00b0e880 in mp_ () from /lib/libc.so.6
#5  0x008f8fb4 in ?? () from /lib/ld-linux.so.2
#6  0x00000001 in ?? ()
#7  0x00000000 in ?? ()
Comment 4 Ralf Ertzinger 2005-12-26 14:06:20 EST
Do you get that backtrace immediately when starting 0.9.7.1 or when you drop the
files (sorry, that was not clear to me from the comment)
Comment 5 Thilo Pfennig 2005-12-27 07:07:31 EST
I am now using: bmp-0.9.7.1-1.fc4

I get that backtrace after dropping the files.
Comment 6 Ralf Ertzinger 2005-12-27 13:50:28 EST
OK, thanks. This may take some days to track down as I do not have access to a
FC4 system currently.

One last thing: do you have the SMB share mounted or are you accessing it via
gnome-vfs (browsing in nautilus, for example)? Does it happen with files stored
on a local disc, too?
Comment 7 Thilo Pfennig 2005-12-27 18:23:33 EST
I use it vian gnome-vfs. The version of interest seems to be
"2.10.1-2.1.fc4.nr". So if this is not an nautilus issue I am using the wrong
package (nrpms repo)?
Comment 8 Christian Iseli 2007-01-19 18:45:39 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)
Comment 9 Thilo Pfennig 2007-01-21 10:10:03 EST
I am not using FC any more, really.

Note You need to log in before you can comment on or make changes to this bug.